{% extends 'app_base.html.twig' %}

{% block title %}Admin - Certificates{% endblock %}

{% block body %}
    <nav aria-label="breadcrumb" class="bg-primary-subtle pt-xl-1 pb-xl-1 ps-3 mb-4">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ path('app_home') }}">Home</a></li>
            <li class="breadcrumb-item"><a href="{{ path('app_admin') }}">Admin</a></li>
            <li class="breadcrumb-item active" aria-current="page">Certificates</li>
        </ol>
    </nav>

    <h1>All generated certificates</h1>

    <strong>{{ total }}</strong> generated certificates
    <table class="table table-hover table-striped ">
        <thead>
            <tr>

                <th>Certificate</th>
                <th>User</th>
                <th>Valid</th>
                <th>Creator</th>
            </tr>
        </thead>
        <tbody>
        {% for certificate in certificates %}
            <tr id="cert_{{ certificate.serialNumber }}">
                <td>
                    <a class="cert_serialNumber" href="{{ path('app_admin_certificates_display', {'serialNumber': certificate.serialNumber}) }}">
                        <strong>{{ certificate.serialNumber }}</strong>
                    </a>
                    <div>
                        <small><small>
                                {% set subjectData = certificate.subject | trim('/') | split('/') %}
                                {% for subjectItem in subjectData %}
                                    {{ subjectItem }}<br>
                                {% endfor %}
                            </small>
                        </small>
                    </div>

                </td>
                <td>
                    <a class="cert_usedBy" href="{{ path('app_admin_users_display', {'id': certificate.usedBy.id}) }}">
                        {{ certificate.usedBy.email }}</a>
                </td>
                <td>
                    <p>
                        From: <br>
                        <strong>
                            {{ certificate.validFrom ? certificate.validFrom|date("Y-m-d") : '' }}
                        </strong><br>
                        {{ certificate.validFrom ? certificate.validFrom|date("H:i") : '' }}
                    </p>
                    <p>
                        To: <br>
                        {{ certificate.validTo   ? certificate.validTo|date("Y-m-d") : '' }}
                    </p>
                </td>
                <td>
                    <a class="cert_creator"  href="{{ path('app_admin_users_display', {'id': certificate.createdBy.id}) }}">
                        {{ certificate.createdBy.email }}</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {% include "app_helpers/app_paginator.html.twig" %}
{% endblock %}
